export declare type Data = DataItem[];

export declare interface DataItem {
    color: string;
    from: [number, number];
    to: [number, number];
    labels: [string, string];
    value: number;
}

export declare enum Direction {
    in = "in",
    out = "out"
}

export declare enum IconType {
    circle = "circle",
    arrow = "arrow",
    img = "img"
}

export declare interface LineIcon {
    type: IconType;
    imgUrl: string;
    size: number;
}

export declare interface LineOption {
    width: number;
    order: boolean;
    icon: LineIcon;
}

export declare interface MarkerOption {
    radius: number[];
    pulse: boolean;
    textVisible: boolean;
}

export declare interface Options {
    marker: MarkerOption;
    line: LineOption;
    minZoom: number;
    replacePopover: () => HTMLElement;
    onShowPopover: () => void;
    onHidePopover: () => void;
}

export { }
